<?php

/**
 * Project:     Ant: sources.list generator
 * File:        changelog.php
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


require_once dirname(__FILE__)."/lib/init.php";

$ID 	= abs(intval($_GET["id"]));
$skip	= abs(intval($_GET["skip"]));

if ($ID>0) {
	$query =& $db->query("SELECT * FROM changelog WHERE log_id='$ID'");
	$query->fetchInto($log, DB_FETCHMODE_ASSOC);
	$result  = "<h2>".stripslashes($log["log_title"])."</h2>";
	$result .= "<p>".stripslashes($log["log_desc"])."</p>";
	$result .= "<p class='time'>Запись сделана ".stripslashes($log["log_record"])." &bull; <a href='./changelog.php'>Весь список изменений</a></p>";
} else {
	$query =& $db->query("SELECT * FROM changelog ORDER BY log_id DESC");
	if ($query->numRows()>0) {
		$result = "<ul id='log'>";
		while($query->fetchInto($log, DB_FETCHMODE_ASSOC)) {
			$result .= "<li>".stripslashes($log["log_record"])." &bull; <a href='./changelog.php?id=".$log["log_id"]."'>".stripslashes($log["log_title"])."</a></li>";
		}
		$result .= "</ul>";
	}
}

$smarty->assign('feedaddr',$_SERVER["HTTP_HOST"].dirname($_SERVER["PHP_SELF"]));
$smarty->assign('h1','Изменения');
$smarty->assign('result',$result);
$smarty->assign('antversion',$core->getSetting('version',$db));
$smarty->assign('title',$core->getSetting('codename',$db));
$smarty->assign('interface'," &bull; ".$core->getInterfacesList($_SERVER["REQUEST_URI"],$db));

$smarty->display('index.tpl');

?>
